Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.message
Class DetailEntry

    java.lang.Object
      |
      +--org.apache.axis.message.MessageElement
            |
            +--org.apache.axis.message.DetailEntry

All Implemented Interfaces:
  DetailEntry, Node, java.io.Serializable, SOAPElement

public class DetailEntry
extends MessageElement
implements DetailEntry

Detail Entry implementation

Author:
  Davanum Srinivas (dims@yahoo.com)
See Also:
  Serialized Form

Inner classes inherited from class org.apache.axis.message.MessageElement
`MessageElement.QNameAttr`

Fields inherited from class org.apache.axis.message.MessageElement
`_isDirty, _isRoot, attributes, context, elementRep, encodingStyle, endEventIndex, href, id, log, message, name, namespaces, namespaceURI, parent, prefix, qNameAttrs, recorder, startContentsIndex, startEventIndex, textRep, typeQName`

Constructor Summary
`DetailEntry(Name name)`

Method Summary
`SOAPElement` | `addTextNode(java.lang.String text)` Creates a new `Text` object initialized with the given `String` and adds it to this `SOAPElement` object.

Methods inherited from class org.apache.axis.message.MessageElement
`addAttribute, addAttribute, addAttribute, addChild, addChildElement, addChildElement, addChildElement, addChildElement, addChildElement, addMapping, addNamespaceDeclaration, detachNode, getAllAttributes, getAsDocument, getAsDOM, getAttributes, getAttributeValue, getAttributeValue, getChildElements, getChildElements, getChildren, getCompleteAttributes, getElementName, getEncodingStyle, getEnvelope, getFixupDeserializer, getHref, getID, getName, getNamespacePrefixes, getNamespaceURI, getNamespaceURI, getObjectValue, getParentElement, getPrefix, getPrefix, getQName, getRealElement, getRecorder, getType, getValue, getValueAsType, isDirty, isRoot, makeAttributesEditable, output, outputImpl, publishContents, publishToHandler, recycleNode, removeAttribute, removeChild, removeNamespaceDeclaration, setAttribute, setContentsIndex, setDirty, setEncodingStyle, setEndIndex, setEnvelope, setFixupDeserializer, setName, setNamespaceURI, setNSMappings, setObjectValue, setParentElement, setPrefix, setQName, setRecorder, setType, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.xml.soap.SOAPElement
`addAttribute, addChildElement, addChildElement, addChildElement, addChildElement, addChildElement, addNamespaceDeclaration, getAllAttributes, getAttributeValue, getChildElements, getChildElements, getElementName, getEncodingStyle, getNamespacePrefixes, getNamespaceURI, removeAttribute, removeNamespaceDeclaration, setEncodingStyle`

Methods inherited from interface javax.xml.soap.Node
`detachNode, getParentElement, getValue, recycleNode, setParentElement`

Constructor Detail

### DetailEntry

    public DetailEntry(Name name)

Method Detail

### addTextNode

    public SOAPElement addTextNode(java.lang.String text)
                            throws SOAPException

  Description copied from interface: `SOAPElement`
  Creates a new `Text` object initialized with the given `String` and adds it to this `SOAPElement` object.
  Specified by:
    `addTextNode` in interface `SOAPElement`
  Overrides:
    `addTextNode` in class `MessageElement`
  Following copied from interface: `javax.xml.soap.SOAPElement`
  Parameters:
    `text` - a `String` object with the textual content to be added
  Returns:
    the `SOAPElement` object into which the new `Text` object was inserted
  Throws:
    `SOAPException` - if there is an error in creating the new `Text` object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.